<template>
  <card>
    <!-- Card header -->
    <h3 slot="header" class="mb-0">Edit Milestone : Kick-Off for ( TRTP-2398 - Tengeh Reservoir Tender Project )</h3>
    <form class="needs-validation"
          @submit.prevent="submit">
      <div class="form-row">
        <b-col md="12">
        <base-input label="To Change Project"
              name="Project Developer" >
            <select class="form-control" v-model="model.milestone_project">
              <option disabled>-- Please Select A Project --</option>
              <option value="TRTP-2398 - Tengeh Reservoir Tender Project">TRTP-2398 - Tengeh Reservoir Tender Project</option>
              <option value="MNTP-8650 - Menara TM Project">MNTP-8650 - Menara TM Project</option>
              <option value="SGLP-3564 - Sunway Geo Lake Project">SGLP-3564 - Sunway Geo Lake Project</option>
              <option value="PCWM-1132 - PJ Causeway Mall Project">PCWM-1132 - PJ Causeway Mall Project</option>
            </select>
        </base-input>
        </b-col>
      </div>

      <div class="form-row">
        <b-col md="4">
          <base-input label="Milestone"
                      name="MileStone"
                      placeholder="Milestone Code"
                      v-model="model.milestone_code">
          </base-input>
        </b-col>

        <b-col md="8">
          <base-input label="Milestone Information"
                      name="Milestone Information"
                      placeholder="Milestone Information"
                      v-model="model.milestone_info">
          </base-input>
        </b-col>
      </div>

      <base-button type="primary" native-type="submit" @click="notifyVueEdit('default')" >Udpate Milestone</base-button>
      <base-button type="primary" @click="$router.go(-1)">Cancel</base-button>
    </form>
  </card>
</template>
<script>
  import BaseSlider from '@/components/BaseSlider'
  export default {
    name: 'milestone-edit-form',
    components: {
      BaseSlider
    },
    data() {
      return {
        model: {
          milestone_code: 'Kick-Off',
          milestone_info: 'Use for preparation on starting of Project',
          milestone_project: 'TRTP-2398 - Tengeh Reservoir Tender Project',
        }
      }
    },
    methods: {
      async submit() {

      },
      notifyVueEdit(type = 'default') {
        this.$notify({
          message:
            '<b>Update Milestone : ' + this.model.milestone_code + '</b> - Successfully Updated for ( '+ this.model.milestone_project +' )',
          timeout: 10000,
          icon: 'ni ni-bell-55',
          type
        });
        this.$router.push('milestone')
      },
    }
  }
</script>
<style>
</style>
